WITH base AS (
  SELECT
    w.created_at,
    s.distinct_id,
    substring(s.distinct_id SIMILAR '%#"@%#"' ESCAPE '#') AS "Group"
  FROM website_event AS w
  JOIN session AS s
    ON s.session_id = w.session_id
  WHERE
    w.website_id = '16e7d807-4db5-45fd-92a9-27393445a153'
    AND w.event_type = 1
    AND w.created_at BETWEEN '2025-10-13' AND '2025-10-19'
    AND s.distinct_id IS NOT NULL
    -- AND substring(s.distinct_id SIMILAR '%#"@%#"' ESCAPE '#') IN ('@leroyseafood.com')
),
unique_totals AS (
  SELECT
    "Group",
    COUNT(DISTINCT distinct_id) AS "Users in range"
  FROM base
  GROUP BY "Group"
),
unique_users AS (
  SELECT
    "Group",
    string_agg(DISTINCT distinct_id, ', ' ORDER BY distinct_id) AS "Users"
  FROM base
  GROUP BY "Group"
)
SELECT
	SUM("Users in range")
FROM
	unique_totals
WHERE
	LOWER("Group") NOT IN ('@oceanbox.io')
	;
